{% extends 'dashboard/dashboard_content.html' %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block title %}
    Grant Students
{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus"></i>
                Permit OD for Students
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="container" align="center">
            <div role="alert" class="alert alert-success alert-dismissible fade in" align="center">
                <button aria-label="Close" data-dismiss="alert" class="close" type="button"><span
                        aria-hidden="true">×</span>
                </button>
                <h4> You're providing OD for <strong>{{ semester.batch }}</strong> batch of
                    <strong>{{ department }}</strong></h4>
                {% if no_of_days_od_granted == 0 %}
                    <h5>Dated:&nbsp;&nbsp;<strong>{{ date }}</strong></h5>
                {% else %}
                    <h4>
                        for hours &nbsp;&nbsp;<strong>{{ hours_string }}</strong>
                    </h4>
                {% endif %}
            </div>
        </div>
        <form method="POST">{% csrf_token %}
            <input type="hidden" name="date" value="{{ date }}">
            <input type="hidden" name="semester" value="{{ semester.id }}">
            <input type="hidden" name="reason" value="{{ reason }}">
            <input type="hidden" name="hidden_hour_list" value="{{ hours_string }}">
            <div class="x_content">
                <div class="row">
                    <div class="col-md-8 col-md-offset-2">
                        <table class="table table-bordered table-responsive table-striped text-center">
                            <thead>
                            <tr>
                                <th class="text-center">S.No.</th>
                                <th class="text-center">Reg.No.</th>
                                <th class="text-center">Name</th>
                                <th class="text-center">Provide OD</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for student in list_of_students %}
                                <tr>
                                    <td>{{ forloop.counter }}</td>
                                    <td>{{ student.registration_number }}</td>
                                    <td>{{ student.student_obj }}</td>
                                    <td>
                                        <input name="{{ student.registration_number }}" type="checkbox" value="1">
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                    <div align="center" class="col-md-6 col-md-offset-3">
                        <button id="show_modal" type="button" class="btn1 btn-small btn-dark-green" data-toggle="modal"
                                data-target="#exampleModal">
                            Grant OD
                        </button>
                        <!-- Modal -->
                        <div class="modal" id="exampleModal" tabindex="-1" role="dialog"
                             aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title" id="exampleModalLabel" align="left">OD Confirmation</h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="">
                                        <div class="col-md-8 col-md-offset-2">
                                            <table class="table table-bordered">
                                                <thead>
                                                <th>OD students</th>
                                                </thead>
                                                <tbody id='od_entry'>

                                                </tbody>
                                            </table>
                                            <table class="table table-bordered">
                                                <thead>
                                                <th>Non OD students</th>
                                                </thead>
                                                <tbody id='non_od_entry'>

                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close
                                        </button>
                                        <button type="submit" class="btn1 btn-dark-green">Grant OD</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>


    <script>
        $("#show_modal").on('click', function () {
            var myNode = document.getElementById("non_od_entry");
            while (myNode.firstChild) {
                myNode.removeChild(myNode.firstChild);
            }
            non_od_list = [];
            od_list = [];

            {% for student in list_of_students %}
                var reg_no = '{{ student.registration_number }}';
                var student = '{{ student.registration_number }} - {{ student.student_obj }}'
                if ($("input:checkbox[name=" + reg_no + "]").is(":checked") != true) {
                    non_od_list.push(student);
                }
                else {
                    od_list.push(student);
                }
            {% endfor %}

            if (non_od_list.length == 0) {
                $("#non_od_entry").append('<tr class="text-centerd"><td class="text-centerd">None</td></tr>');
            }
            for (var i = 0, l = non_od_list.length; i < l; i++) {
                $("#non_od_entry").append('<tr class="text-centerd"><td class="text-centerd">' + non_od_list[i] + '</td></tr>');
            }

            var myNode = document.getElementById("od_entry");
            while (myNode.firstChild) {
                myNode.removeChild(myNode.firstChild);
            }
            if (od_list.length == 0) {
                $("#od_entry").append('<tr class="text-centerd"><td class="text-centerd">None</td></tr>');
            }
            for (var i = 0, l = od_list.length; i < l; i++) {
                $("#od_entry").append('<tr class="text-centerd"><td class="text-centerd">' + od_list[i] + '</td></tr>');
            }
        });
    </script>



{% endblock %}